var crypto = require('crypto');

export function HashPassword(password: string, salt: string, callback: (arg: string) => void) {
    crypto.pbkdf2(password, salt, 100000, 64, 'sha512', (err: string, derivedKey: Buffer) => {
        if (err) throw err;
        callback(derivedKey.toString('hex'));
     });
}